# Fetching a list of User Group Memberships

This endpoint returns structured User Group Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the user_group_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /user_group_memberships
Version: 1.0.0

## Query parameters:

  - `group_ids` (string)
    Return only memberships associated with the specified Workspace Group IDs. Provide a comma-separated list of Workspace Group IDs or an array of IDs. For example, 10,20.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- user (User) - Retrieves the associated user. The response will include user_id, which references the data in the users top-level key.
- workspace_group (WorkspaceGroup) - Retrieves the associated Workspace Group. The response will include workspace_group_id, which references the data in the workspace_groups top-level key.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc and created_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `user_ids` (string)
    Return only memberships associated with the specified user IDs. Provide a comma-separated list of user IDs or an array of IDs. For example, 10,20.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `user_group_memberships` (object)

  - `users` (object)

  - `workspace_groups` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


